include RouteNGNClient

invite = <<STR
INVITE sip:999#50246380762@cp108.routengn.net;otg=3;npdi=yes;rn=2123334545 SIP/2.0
Max-Forwards: 67
Session-Expires: 3600;refresher=uac
Supported: timer
To: <sip:99950246380762@cp108.routengn.net>
From: "4783979336" <sip:4783979336@65.200.189.117>;tag=3546475198-453428
Contact: <sip:4783979336@65.200.189.117:5060>
P-Asserted-Identity:"4783979336"<sip:4783979336@199.19.94.97>
Call-ID: 8052373-3546475198-453386@ny75_msc1.mygentel.net
CSeq: 1 INVITE
Via: SIP/2.0/UDP 65.200.189.117:5060;branch=z9hG4bK159566b75ce3a1f457f23fc65f07d073,SIP/2.0/UDP 172.17.20.241:5063
Allow-Events: refer
Allow-Events: hold
Allow-Events: talk
Content-Type: application/sdp
Content-Length: 226

v=0
o=NexTone-MSW 1337455045 1337455046 IN IP4 65.200.189.117
s=sip call
c=IN IP4 199.19.94.97
t=0 0
m=audio 31362 RTP/AVP 18 0 101 13
a=ptime:20
a=fmtp:101 0-16
a=rtpmap:101 telephone-event/8000
a=fmtp:18 annexb=no
STR

INVITE = invite.gsub("\n", "\r\n")

INVITE_SIP_REQUEST1 = RSIP::Message.parse INVITE

invite2 = <<STR
INVITE sip:7772223333;npdi=yes;rn=2123334545;otg=4@federate.io SIP/2.0
Max-Forwards: 67
Session-Expires: 3600;refresher=uac
Supported: timer
To: <sip:99950246380762@cp108.routengn.net>
From: "4783979336" <sip:4783979336@65.200.189.117>;tag=3546475198-453428
Contact: <sip:4783979336@65.200.189.117:5060>
P-Asserted-Identity:"4783979336"<sip:4783979336@199.19.94.97>
Call-ID: 8052373-3546475198-453386@ny75_msc1.mygentel.net
CSeq: 1 INVITE
Via: SIP/2.0/UDP 65.200.189.117:5060;branch=z9hG4bK159566b75ce3a1f457f23fc65f07d073,SIP/2.0/UDP 172.17.20.241:5063
Allow-Events: refer
Allow-Events: hold
Allow-Events: talk
Content-Type: application/sdp
Content-Length: 226

v=0
o=NexTone-MSW 1337455045 1337455046 IN IP4 65.200.189.117
s=sip call
c=IN IP4 199.19.94.97
t=0 0
m=audio 31362 RTP/AVP 18 0 101 13
a=ptime:20
a=fmtp:101 0-16
a=rtpmap:101 telephone-event/8000
a=fmtp:18 annexb=no
STR

INVITE2 = invite2.gsub("\n", "\r\n")

INVITE_SIP_REQUEST2 = RSIP::Message.parse INVITE2

redirect = <<STR
SIP/2.0 300 Redirect
To: <sip:99950246380762@cp108.routengn.net>;tag=610368589
From: "4783979336" <sip:4783979336@65.200.189.117>;tag=3546475198-453428
Call-ID: 8052373-3546475198-453386@ny75_msc1.mygentel.net
CSeq: 1 INVITE
Via: SIP/2.0/UDP 65.200.189.117:5060;branch=z9hG4bK159566b75ce3a1f457f23fc65f07d073
Contact:  <sip:50246380762@65.200.189.117;dtg=BETLUASGUAT>
Server: KETEL Research SRS 1.9.65-11112116
STR

REDIRECT = redirect.gsub("\n", "\r\n")

IEPG1 = InboundEndPointGroup.new({ "name"=>"IEPG 1",
                                   "contact_template"=>"<sip:${ruri.dialcode}${ruri.user_params}${oepg.uri_user_params}@${oep.host}${oep.port}${ruri.params}${oepg.uri_params}>",
                                   "multi_line_contacts"=>true,
                                   "color_code"=>"#a4f379",
                                   "route_on_type"=>"DN",
                                   "min_percent_price_margin"=>nil,
                                   "min_absolute_price_margin"=>nil,
                                   "min_route_weight"=>nil,
                                   "dialcode_expression"=>"([0-9]*)$",
                                   "dialcode_prefix_expression"=>"^(.*D+)",
                                   "ani_expression"=>"([0-9]*)$",
                                   "ani_prefix_expression"=>"^(.*D+)",
                                   "destination_billing_type"=>"DN",
                                   "external_lrn_lookup_enabled"=>false,
                                   "created_at"=>"2013-03-05T00:11:29Z",
                                   "updated_at"=>"2013-03-05T00:35:24Z",
                                   "id"=>"513538316f1cc9a140000010",
                                   "carrier_id"=>"513538316f1cc9a140000011",
                                   "primary_route_table_id"=>"513538666f1cc9a14000001b",
                                   "secondary_route_table_id"=>"",
                                   "allow_list" => {"id"=>"513538316f1cc9a14000000e",
                                     "uri_matchers" => [{"header"=>"request",
                                                        "prefix"=>"",
                                                        "user_params"=>"tgrp=foo",
                                                        "uri_params"=>"",
                                                        "created_at"=>"2013-03-05T00:11:29Z",
                                                        "updated_at"=>"2013-03-05T00:11:29Z",
                                                        "id"=>"513538316f1cc9a14000000f"}]},
                                   "end_points"=> [{"end_point"=> {"host"=>"127.0.0.1",
                                                                   "port"=>5060,
                                                                   "priority"=>nil,
                                                                   "created_at"=>nil,
                                                                   "updated_at"=>nil,
                                                                   "id"=>"51353dcc6f1cc9f910000006"}}]
                                  })

OEPG1 = OutboundEndPointGroup.new({
                                   "id"=>"513538546f1cc9a140000016",
                                   "carrier_id"=>"513538546f1cc9a140000017",
                                   "color_code"=>"#f379de",
                                   "created_at"=>"2013-03-05 00:12:04 UTC",
                                   "default_route_weight"=>nil,
                                   "destination_billing_type"=>"DN",
                                   "dialcode_expression"=>"([0-9]*)$",
                                   "dialcode_template"=>"${dialcode_match}",
                                   "end_points"=>
                                    [{"_id"=>"513538546f1cc9a140000018",
                                      "port"=>5060,
                                      "host"=>"1.1.1.1",
                                      "priority"=>nil}],
                                   "max_contact_end_points"=>nil,
                                   "name"=>"OEPG 1",
                                   "rate_link_types"=>["dialcode"],
                                   "route_table_ids"=>["513538666f1cc9a14000001b"],
                                   "updated_at"=>"2013-03-05 00:12:04 UTC",
                                   "uri_params"=>"",
                                   "uri_params_blacklist"=>[],
                                   "uri_user_params"=>"",
                                   "uri_user_params_blacklist"=>[]
                                  })

ORATE1 = OutboundRate.new({
                            "id"=>"51353a256f1cc98978000007",
                            "price"=>0.572,
                            "type"=>"inter",
                            "effective_at"=>"2013-03-05 00:12:37 UTC",
                            "created_at"=>"2013-03-05 00:19:49 UTC",
                            "updated_at"=>"2013-03-05 00:19:49 UTC",
                            "line_number"=>1,
                            "dialcode"=>"3217689",
                            "account_id"=>"5135354e6f1cc9a140000004",
                            "rate_sheet_id"=>"5135388c6f1cc9a14000001f",
                            "outbound_end_point_group_id"=>"513538546f1cc9a140000016"
                          })